'''TefPy.env
=====

TefPy.env是用于维护Python实验脚本环境的辅助函数集。该包包含如下函数：
1. 数printResult用于执行将Python实验的结果使用Json在控制台打印输出。
2. 函数getParams自动获取控制台调用时输入的参数信息。
3. 函数isExpEnv判断是否是实验框架调用的环境。
'''
import sys
import json

def printResult(obj):
    '''函数printResult用于执行将Python实验的结果使用Json在控制台打印输出，该输出的结果将自动被实验框架解析。注意：如果自己输出的结果不按照规定格式，实验框架无法解析。
    参数如下：
    第一个参数obj: 以字典（dict）存储的实验结果或者实验结果的Json字符串'''
    if isinstance(obj, str):
        res=obj;
    else:
        res=json.dumps(obj);
    print('==>**ResultJson**<==');
    print(res);
    print('==>**End**<==');
    
def getParams():
    '''函数getParams自动获取控制台调用时输入的参数信息。
    返回结果如下：
    以字典（dict）存储的参数数据'''
    inputJson=sys.argv[1];
    res=json.loads(inputJson);
    return res;

def isExpEnv():
    '''函数isExpEnv判断是否是实验框架调用的环境，是的话返回True。
    只有实验框架调用的环境才能执行printResult和getParams'''
    res=True;
    try:
        json.loads(sys.argv[1]);
    except:
        res=False;
    return res;